I can t install back google chrome and VLC Media Player


#1

I have some problems with my new laptop and i think its OS fault.
When i try to reinstall google chrome it say : Can t pull from untrusted non-gpg verified remote.
VLC on the other side, say : Pending installation… And belive me, it wont install to soon.
Also : Version :unknow
source : flathub
download dimension (something like this) : 0 ectets
I have some problems with videos in chronium, mozilla and web…youtube, etc. But videos from device memory works very well, unlike the web ones

Sorry for my bad way of speaking, i hope you understand something and give me some help. Thanks

edited : eos-diagnostic-180502_190047_UTC 0300.txt (406.7 KB)


#2

Do you have a file named /etc/flatpak/remotes.d/flathub.conf? Are there any files in /etc/flatpak/remotes.d? Can you show the contents of the file /var/lib/flatpak/repo/config and /etc/flatpak/remotes.d/flathub.conf (if it exists)? You can just paste them here.


#3

Where can i find this file ?


#4

Open a terminal window by typing terminal in the search bar at the top of the desktop and selecting the Terminal app. From there, run the following commands and paste all the output here.

ls /etc/ostree/remotes.d
ls /etc/flatpak/remotes.d
ls /var/lib/flatpak/repo
grep -r . /etc/ostree/remotes.d /etc/flatpak/remotes.d /var/lib/flatpak/repo/config

#5

lautaru@endless:~$ ls /etc/ostree/remotes.d
lautaru@endless:~$ ls /etc/flatpak/remotes.d
flathub.conf
lautaru@endless:~$ ls /var/lib/flatpak/repo
config gnome-apps.trustedkeys.gpg objects state
extensions gnome.trustedkeys.gpg refs tmp
lautaru@endless:~$ grep -r . /etc/ostree/remotes.d /etc/flatpak/remotes.d /var/lib/flatpak/repo/config
/etc/flatpak/remotes.d/flathub.conf:[remote “flathub”]
/etc/flatpak/remotes.d/flathub.conf:url=https://flathub.org/repo/
/var/lib/flatpak/repo/config:[core]
/var/lib/flatpak/repo/config:repo_version=1
/var/lib/flatpak/repo/config:mode=bare
/var/lib/flatpak/repo/config:min-free-space-percent=0
/var/lib/flatpak/repo/config:add-remotes-config-dir=false
/var/lib/flatpak/repo/config:[remote “eos”]
/var/lib/flatpak/repo/config:url=https://ostree.endlessm.com/ostree/eos-amd64
/var/lib/flatpak/repo/config:branches=os/eos/nexthw/eos3.2;
/var/lib/flatpak/repo/config:xa.disable=true
/var/lib/flatpak/repo/config:[remote “gnome”]
/var/lib/flatpak/repo/config:gpg-verify=true
/var/lib/flatpak/repo/config:gpg-verify-summary=true
/var/lib/flatpak/repo/config:url=https://sdk.gnome.org/repo/
/var/lib/flatpak/repo/config:xa.title=Gnome Stable Runtimes
/var/lib/flatpak/repo/config:xa.title-is-set=true
/var/lib/flatpak/repo/config:[remote “gnome-apps”]
/var/lib/flatpak/repo/config:gpg-verify=true
/var/lib/flatpak/repo/config:gpg-verify-summary=true
/var/lib/flatpak/repo/config:url=https://sdk.gnome.org/repo-apps/
/var/lib/flatpak/repo/config:xa.title=Gnome Stable Applications
/var/lib/flatpak/repo/config:xa.title-is-set=true
/var/lib/flatpak/repo/config:[remote “eos-runtimes”]
/var/lib/flatpak/repo/config:gpg-verify=true
/var/lib/flatpak/repo/config:gpg-verify-summary=true
/var/lib/flatpak/repo/config:url=https://ostree.endlessm.com/ostree/eos-amd64
/var/lib/flatpak/repo/config:xa.title=Endless OS and Runtimes
/var/lib/flatpak/repo/config:[remote “eos-apps”]
/var/lib/flatpak/repo/config:gpg-verify=true
/var/lib/flatpak/repo/config:gpg-verify-summary=true
/var/lib/flatpak/repo/config:url=https://ostree.endlessm.com/ostree/eos-apps
/var/lib/flatpak/repo/config:xa.default-branch=eos3
/var/lib/flatpak/repo/config:xa.title=Endless Applications
/var/lib/flatpak/repo/config:xa.default-branch-is-set=true
/var/lib/flatpak/repo/config:[remote “eos-sdk”]
/var/lib/flatpak/repo/config:gpg-verify=true
/var/lib/flatpak/repo/config:gpg-verify-summary=true
/var/lib/flatpak/repo/config:url=https://ostree.endlessm.com/ostree/eos-sdk
/var/lib/flatpak/repo/config:xa.title=Endless Runtime and SDK
lautaru@endless:~$


#6

now chrome works, thank you sir. Can you help me to solve the problem with VLC ? it would be great, thanks.


#7

OK, this would be fixed on the next OS upgrade, but that’s not released yet. You can fix it by running the following 2 commands from a terminal:

sudo rm /etc/flatpak/remotes.d/flathub.conf
sudo /usr/sbin/eos-update-flatpak-repos

Please paste the output of those commands here.


#8

Ok, thank you so much, you are a hero sir :slight_smile: thanks a lot.


#9

Well, I’m partially responsible for getting you into this mess, so don’t call me a hero just yet :slight_smile:


#10

wow !! Thanks for this!! fix my problem :slight_smile:


#11

Hello there. I really need some help here…
I keep getting this error “Can t pull from untrusted non-gpg verified remote” while I try to instal aplications on my laptop
I can’t say that I am advanced user … so is there anybody who could help me please? :’(


#12

Hi ! If you have the last version of OS on your pc, maybe what Dan told me could help you too, MAYBE…


#13

Hello
I do not have the latest version unfortunetly :frowning_face:
I think I found the problem… I might have uninstaled the “aplication launcher” or some important programs from endles 3.3.16. Is there even an aplicaton launcher for Endles?


#14

Mmm…:thinking: let’s see what Dan says he’s the qualified one here :grin: or other members of Endless Community.
It’s looks exactly like the problem Dan helped me to solve , try to do what he told me to do, for the problem with untrusted remote or wait for real help :ok_hand:


#15

pls help me

laura@endless:~$ ls /etc/ostree/remotes.d
laura@endless:~$ ls /etc/flatpak/remotes.d
ls: '/etc/flatpak/remotes.d' nu poate fi accesat: No such file or directory
laura@endless:~$ ls /var/lib/flatpak/repo
config                   extensions               objects  state
eos-sdk.trustedkeys.gpg  flathub.trustedkeys.gpg  refs     tmp
laura@endless:~$ grep -r . /etc/ostree/remotes.d /etc/flatpak/remotes.d /var/lib/flatpak/repo/config
grep: /etc/flatpak/remotes.d: No such file or directory
/var/lib/flatpak/repo/config:[core]
/var/lib/flatpak/repo/config:repo_version=1
/var/lib/flatpak/repo/config:mode=bare
/var/lib/flatpak/repo/config:add-remotes-config-dir=false
/var/lib/flatpak/repo/config:min-free-space-size=500MB
/var/lib/flatpak/repo/config:[remote "eos"]
/var/lib/flatpak/repo/config:url=https://ostree.endlessm.com/ostree/eos-amd64
/var/lib/flatpak/repo/config:branches=os/eos/amd64/eos3a;
/var/lib/flatpak/repo/config:xa.disable=true
/var/lib/flatpak/repo/config:collection-id=com.endlessm.Os
/var/lib/flatpak/repo/config:[remote "eos-apps"]
/var/lib/flatpak/repo/config:gpg-verify=true
/var/lib/flatpak/repo/config:gpg-verify-summary=false
/var/lib/flatpak/repo/config:url=https://ostree.endlessm.com/ostree/eos-apps
/var/lib/flatpak/repo/config:xa.default-branch=eos3
/var/lib/flatpak/repo/config:xa.title=Endless Applications
/var/lib/flatpak/repo/config:collection-id=com.endlessm.Apps
/var/lib/flatpak/repo/config:[remote "eos-runtimes"]
/var/lib/flatpak/repo/config:gpg-verify=true
/var/lib/flatpak/repo/config:gpg-verify-summary=true
/var/lib/flatpak/repo/config:url=https://ostree.endlessm.com/ostree/eos-amd64
/var/lib/flatpak/repo/config:xa.title=Endless OS and Runtimes
/var/lib/flatpak/repo/config:[remote "eos-sdk"]
/var/lib/flatpak/repo/config:gpg-verify=true
/var/lib/flatpak/repo/config:gpg-verify-summary=false
/var/lib/flatpak/repo/config:url=https://ostree.endlessm.com/ostree/eos-sdk
/var/lib/flatpak/repo/config:xa.title=Endless Apps Runtimes
/var/lib/flatpak/repo/config:xa.title-is-set=true
/var/lib/flatpak/repo/config:xa.default-branch=stable
/var/lib/flatpak/repo/config:collection-id=com.endlessm.Sdk
/var/lib/flatpak/repo/config:[remote "flathub"]
/var/lib/flatpak/repo/config:gpg-verify=true
/var/lib/flatpak/repo/config:gpg-verify-summary=true
/var/lib/flatpak/repo/config:url=https://dl.flathub.org/repo/
/var/lib/flatpak/repo/config:xa.title=Flathub
/var/lib/flatpak/repo/config:xa.title-is-set=true
laura@endless:~$ 

#16

@Laura_C That looks normal to me. What’s the error that you’re having right now? Can you post the eos-diagnostics file or copy the text from the error message?


closed #17